package forces_present

import "context"

type Repository interface {
	Create(ctx context.Context, row *ForcesPresent) error
	Update(ctx context.Context, row *ForcesPresent) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*ForcesPresent, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]ForcesPresent, int64, error)
}
